Bug 1910829 - Cannot delete a PVC if the dv's phase is WaitForFirstConsumer
Summary: Cannot delete a PVC if the dv's phase is WaitForFirstConsumer
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Console Kubevirt Plugin
Version: 4.7
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 4.7.0
Assignee: Gilad Lekner
QA Contact: Guohua Ouyang
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-12-25 02:12 UTC by Guohua Ouyang
Modified: 2021-02-24 15:48 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-02-24 15:48:29 UTC
Target Upstream Version:
gouyang: needinfo-


Attachments (Terms of Use)
exampe pvc yaml (2.18 KB, text/plain)
2020-12-25 02:12 UTC, Guohua Ouyang
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 7667 0 None closed Bug 1910829: Cannot delete a PVC if the dv phase is WaitForFirstConsumer 2021-01-11 13:28:58 UTC
Github openshift console pull 7695 0 None closed Bug 1910829: Cannot delete a PVC if the dv phase is WaitForFirstConsumer 2021-01-11 13:29:01 UTC
Red Hat Product Errata RHSA-2020:5633 0 None None None 2021-02-24 15:48:48 UTC

Description Guohua Ouyang 2020-12-25 02:12:36 UTC
Created attachment 1741823 [details]
exampe pvc yaml

Description of problem:
If the DV phase is WaitForFirstConsumer, PVC is keeping respawn after deleting it.

On UI, the warning like "Deleting this PVC will also delete url-rootdisk-7rw40 Data Volume" is not showing if the DV phase is WaitForFirstConsumer, that means it cannot delete the PVC on UI. 

Version-Release number of selected component (if applicable):
master

How reproducible:
100%

Steps to Reproduce:
1. Go to storage -> PVC
2. Create a PVC which have a DV in phase WaitForFirstConsumer
3. Delete the PVC

Actual results:
PVC is keeping respwaning

Expected results:
warning like "Deleting this PVC will also delete url-rootdisk-7rw40 Data Volume", delete the PVC will delete the DV as well.

Additional info:

Comment 2 Guohua Ouyang 2021-01-04 01:00:05 UTC
Still see the issue on latest 4.7 branch.

Comment 3 Guohua Ouyang 2021-01-04 01:13:40 UTC
Plus, it got the same behavior if the dv phase is stucking in pending, can we fix it as well?

Comment 4 Gilad Lekner 2021-01-04 11:50:02 UTC
Tried changing the detection to use ownerReference, please try again once https://github.com/openshift/console/pull/7695 is merged

Comment 8 errata-xmlrpc 2021-02-24 15:48:29 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.7.0 security, bug fix, and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:5633


Note You need to log in before you can comment on or make changes to this bug.